### Method

# PangoOT Ruleset maybe_add_feature

since: 1.18

#### Declaration [src]

    gboolean
    pango_ot_ruleset_maybe_add_feature (
      PangoOTRuleset* ruleset,
      PangoOTTableType table_type,
      PangoOTTag feature_tag,
      gulong property_bit
    )

#### Description [src]

This is a convenience function that first tries to find the feature using `pango_ot_info_find_feature()` and the ruleset script and language passed to `pango_ot_ruleset_new_for()` and if the feature is found, adds it to the ruleset.

If `ruleset` was not created using `pango_ot_ruleset_new_for()`, this function does nothing.

Available since: 1.18

#### Parameters

`table_type`

  Type: `PangoOTTableType`

  The table type to add a feature to.

`feature_tag`

  Type: `PangoOTTag`

  The tag of the feature to add.

`property_bit`

  Type: `gulong`

  The property bit to use for this feature. Used to identify the glyphs that this feature should be applied to, or `PANGO_OT_ALL_GLYPHS` if it should be applied to all glyphs.

#### Return value

Type: `gboolean`

`TRUE` if the feature was found and added to ruleset, `FALSE` otherwise.